core::TCPSocket Class Reference

`#include <TCPSocket.h>`

Inheritance diagram for core::TCPSocket:
[legend]
Collaboration diagram for core::TCPSocket:
[legend]

## Public Member Functions

| TCPSocket (EPoll &ePoll)
| TCPSocket (EPoll &ePoll, std::string text)
| ~TCPSocket ()
void | connect (IPAddress &address)
virtual void | output (std::stringstream &out)
Public Member Functions inherited from core::Socket
| Socket (EPoll &ePoll, std::string text="")
| ~Socket ()
void | shutdown (std::string text="unknown")
void | setDescriptor (int descriptor)
| Set the descriptor for the socket. More...
int | getDescriptor ()
| Get the descriptor for the socket. More...
bool | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
int | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegister ()
| Called before the socket has registered with the epoll processing. More...
virtual void | onRegistered ()
| Called after the socket has been registered with epoll processing. More...
virtual void | onUnregister ()
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
bool | needsToWrite ()

## Public Attributes

IPAddress | ipAddress
Public Attributes inherited from core::Socket
bool | reset = false
Public Attributes inherited from core::Object
std::string | name
std::string | tag

## Additional Inherited Members

Protected Member Functions inherited from core::Socket
void | setBufferSize (int length)
int | getBufferSize ()
virtual void | onDataReceived (std::string data)
| Called when data is received from the socket. More...
virtual void | onDataReceived (char *buffer, int len)
virtual void | receiveData (char *buffer, int bufferLength)
Protected Attributes inherited from core::Socket
EPoll & | ePoll
bool | shutDown = false

## Detailed Description

TCPSocket

Provides a network TCP socket.

For accessing TCP network functions use this object. The connection oriented nature of TCP provides a single client persistent connection with data error correction and a durable synchronous data connection.

## Constructor & Destructor Documentation

## TCPSocket() [1/2]

core::TCPSocket::TCPSocket | ( | EPoll & | ePoll | ) |

## TCPSocket() [2/2]

core::TCPSocket::TCPSocket | ( | EPoll & | ePoll,
|  | std::string | text
| ) |  |

## ~TCPSocket()

core::TCPSocket::~TCPSocket | ( |  | ) |

## Member Function Documentation

## connect()

void core::TCPSocket::connect | ( | IPAddress & | address | ) |

## output()

void core::TCPSocket::output | ( | std::stringstream & | out | ) |

virtual

The output method is called by a socket session (BMASession) and will output the detail information for the client socket. When extending BMATCPSocket or BMASession you can override the method to add attributes to the list.

Reimplemented in core::TLSSession, and core::TCPSession.

## Member Data Documentation

## ipAddress

IPAddress core::TCPSocket::ipAddress

The documentation for this class was generated from the following files:

- TCPSocket.h
- TCPSocket.cpp